Skip to main content

API response codes

Response codeMeaningDescription
200SuccessYour request has been processed. You see what has been processed in the response.
202AcceptedNot returned by the current API. Booking updates are synchronous and answer 200.
400Bad RequestThis usually occurs because of a missing or malformed parameter. Check the documentation and the syntax of your request and try again.
401UnauthorizedA valid api_key was not provided with the request, so the API could not associate a user with the request. This could mean no api_key was provided, or the provided api_key was incorrect (or disabled).
403ForbiddenThe booking is a Holidu Payments booking, which cannot be updated or cancelled through this API.
404Not foundEither the request method and path supplied do not specify a known action in the API, or the object specified by the request does not exist.
413Payload too largeThe request body is larger than 10 MB. There is no limit on the number of rate plans.
418I'm a teapotThe booking endpoints (update, details, cancel) are not available in the sandbox.
429Too many requestsYou push too many updates for a single apartment, most of the times at the same time for multiple endpoints.
500Internal server errorThis error lets you know our servers have experienced a problem. Please stop pushing and retry after a few seconds. If this error persists, please contact us.

Update Restrictions

There can be only one update at a time on an apartment. When there are multiple updates on an apartment, the first request will be successful while the second one waits up to about 4.5 seconds for it to finish and otherwise fails with a 429 error code. This might happen since there are many APIs to update apartment details (LOS, Photos, etc.)
Best practice is to wait for requests to finish before sending the next one. If you are sending multiple requests at once, those requests should be for different apartments.

If an update hangs or gets interrupted, its lock expires after 4 seconds; the update can be retried after that.

If an apartment is priced with LOS, pushes to the rates and availability endpoints answer 200 and are ignored.